use strict;

my @modules = qw(
    POSIX Fcntl Socket Errno IO/File IO/Socket IO/Wrap Unix/Syslog
    Mail/Address Mail/Header MIME/Parser MIME/Parser/Filer
    Convert/TNEF Convert/UUlib Compress/Zlib Archive/Tar Archive/Zip
    File/Basename File/Copy Time/HiRes Digest/MD5 
    Net/Cmd Net/SMTP Net/Server Net/Server/PreForkSimple
);

my $exit_code = 0;
for my $mod (@modules) {
  eval { require "$mod.pm" };
  if ($@ ne '') {
    print STDERR "\n"  if !$exit_code;
    print STDERR "\tmodule not found in path: '$mod'.\n";
    $exit_code = 1;
  }
}
exit($exit_code);
